/* START: Global tags */
@view-transition {
    navigation: auto
}

::view-transition-group(*) {
    animation-duration: .6s
}

@media (prefers-reduced-motion:reduce) {
    ::view-transition-group(*) {
        animation: none!important
    }
}

html {
	text-rendering: optimizeLegibility;
	-webkit-font-smoothing: antialiased;
	height:100%;
	font-size: var(--fontSize);
}

body {
	width: 100%;
	height: 100%;
	background: var(--green);
	font-size: 1rem;
}

* {
	margin: 0;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-tap-highlight-color: transparent;
}

*:focus {
	outline: none;
}

.noselect {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

::selection {
	background: var(--beige);
	color: var(--green);
}

::-moz-selection {
	background: var(--beige);
	color: var(--green);
}

a, a:hover, a:link {
	text-decoration: none;
	transition: all .4s ease;
	-webkit-transition: all .4s ease;
	-moz-transition: all .4s ease;
	-o-transition: all .4s ease;
}


/**/
/*
.main-scroll {
    height: 100%;
    overflow: hidden;
}

.scroll-content {
    min-height: 100%;
}
*/

main {
  	position: relative;
	z-index: 1;
}

.transition {
	transition: all .4s ease;
	-webkit-transition: all .4s ease;
	-moz-transition: all .4s ease;
	-o-transition: all .4s ease;
}

.slowTransition {
	transition: all .8s cubic-bezier(0.645, 0.045, 0.355, 1);
	-webkit-transition: all .8s cubic-bezier(0.645, 0.045, 0.355, 1);
	-moz-transition: all .8s cubic-bezier(0.645, 0.045, 0.355, 1);
	-o-transition: all .8s cubic-bezier(0.645, 0.045, 0.355, 1);
	-webkit-transform: translateZ(0);
	-moz-transform: translateZ(0);
	-ms-transform: translateZ(0);
	-o-transform: translateZ(0);
	transform: translateZ(0);
}


/* PAGE TRANSITION */
#pageTransition {
	z-index: 20;
	background: white;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	pointer-events: none;
	transition-duration: .6s;
}

#pageTransition.opened {
	opacity: 1;
	pointer-events: initial;
}

#pageTransition.closed {
	pointer-events: none;
	opacity: 0 !important;
}

#pageTransition.show {
	opacity: 1 !important;
	pointer-events: initial;
}


/* LAZY */
picture.lazy {
	display: block;
	overflow: hidden;
	transition: all .3s ease-in-out;
	transition-property: opacity;
	opacity: 0;
}

picture.lazy.lazyloaded {
	opacity: 1;
}

picture.lazy img {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	object-fit: cover;
}

.aspect-container {
	position: relative;
	width: 100%;
}

.aspect-container picture {
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
}

.aspect-container picture img,
.aspect-container video {
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	object-fit: cover;
}


/* REVEAL */
.reveal.revealOpacity {
	opacity: 0;
	transition: all .8s ease;
	-webkit-transition: all .8s ease;
	-moz-transition: all .8s ease;
	-o-transition: all .8s ease;
}

.reveal.revealOpacity.revealed {
	opacity: 1;
}

.reveal.revealImgScale img,
.reveal.revealVideoScale video {
	transform: scale(0);
	transition: all .8s ease;
	-webkit-transition: all .8s ease;
	-moz-transition: all .8s ease;
	-o-transition: all .8s ease;
}

.reveal.revealImgScale.revealed img,
.reveal.revealVideoScale.revealed video {
	transform: scale(1);
}